#
# spec file for package perl-Lingua-EN-Inflect
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-Inflect
Version:        1.899
Release:        6.1
%define cpan_name Lingua-EN-Inflect
Summary:        Convert singular to plural. Select "a" or "an"
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-Inflect/
Source0:        http://www.cpan.org/authors/id/D/DC/DCONWAY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%{perl_requires}

%description
*[_Note:_ This module is strictly in maintenance mode now. If you're mostly
interested in singular/plural and a/an inflections, take a look at the
newer Lingua::EN::Inflexion module, which offers a cleaner and more
convenient interface, has many more features (including plural->singular
inflexions), and is also much better tested.]*

The exportable subroutines of Lingua::EN::Inflect provide plural
inflections, "a"/"an" selection for English words, and manipulation of
numbers as words

Plural forms of all nouns, most verbs, and some adjectives are provided.
Where appropriate, "classical" variants (for example: "brother" ->
"brethren", "dogma" -> "dogmata", etc.) are also provided.

Pronunciation-based "a"/"an" selection is provided for all English words,
and most initialisms.

It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd)
and to English words ("one", "two", "three).

In generating these inflections, Lingua::EN::Inflect follows the Oxford
English Dictionary and the guidelines in Fowler's Modern English Usage,
preferring the former where the two disagree.

The module is built around standard British spelling, but is designed to
cope with common American variants as well. Slang, jargon, and other
English dialects are _not_ explicitly catered for.

Where two or more inflected forms exist for a single word (typically a
"classical" form and a "modern" form), Lingua::EN::Inflect prefers the more
common form (typically the "modern" one), unless "classical" processing has
been specified (see the "MODERN VS CLASSICAL INFLECTIONS" manpage).

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri May  8 2015 coolo@suse.com
- updated to 1.899
  see /usr/share/doc/packages/perl-Lingua-EN-Inflect/Changes
  1.899  Wed May  6 06:34:22 2015
  - Fixed bug in ORD() where huge integers (in strings) were
    downgraded to floating point before being (incorrectly) inflected
    (thanks Dmytro!)
* Tue May  5 2015 coolo@suse.com
- updated to 1.897
  see /usr/share/doc/packages/perl-Lingua-EN-Inflect/Changes
  1.896  Mon Feb  4 13:10:48 2013
  - Fixed another POD nit (thanks Matthew)
  - Removed second authorship attribution as requested.
  - Vastly improved NUMWORDS (thanks Matthew, and Lady Aleena)
  1.897  Tue May  5 16:10:54 2015
  - Noted "print NUMWORDS($num)" gotcha in documentation (thanks Lady Aleena)
  - Fixed undef var bug in t/no_commas.t
    (thanks Matthew!)
  - Fixed words-below tests on things that aren't really numbers
  - Removed unneeded dependency on version
  - Doc nit knitted (thank-you Lady Aleena)
  - Added a pointer to Lingua::EN::Inflexion
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.895
  - Fixed several dozen obscure plurals (thanks Tom)
  - Greatly improved the list of prepositions (thanks Tom)
  - Several minor doc nits cleaned up
  - Fixed 'miniseries', 'tv series' etc (thanks Lady Aleena)
  - NON-BACKWARDS COMPATIBLE CHANGE:
    WORDLIST now always add spaces around its final conjunction.
    Please report any cases where this is an adverse change.
  - Fixed a POD nit (thanks Gregor)
  - Added 'words_below', 'comma', and 'comma_every' options to NO()
    (Thanks Lady Aleena).
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.893
  * created by cpanspec 1.78.03
